<?php

namespace App\Api\V1\Controllers\CP;

use Illuminate\Http\Request;
use Dingo\Api\Routing\Helpers;
use DB;

use App\Api\V1\Controllers\ApiController;
use App\Model\Group\Group;
use App\Model\Group\GroupInvoice ;
use App\Model\Room\RoomWater;

class InvoiceController extends ApiController
{
    use Helpers;

    function view($id=0){
        $data          =GroupInvoice::select('id','group_id','due_date','created_at','creator_id','updater_id','is_paid')
        ->with([
            'details:id,invoice_id,type_id,usd_amount,riel_amount,created_at,print_description,qty,description',
            'group:id',
            'group.rooms',
            'group.rooms.waters:room_id,id,number',
            'group.renters',
            'user:id,name',
            'receive:id,name'
        ])
       
        ->withCount([
            'details as total_in_usd' => function($query){
                $query->select(DB::raw("SUM(usd_amount) as total_in_usd")); 
            },
            'details as total_in_riel' => function($query){
                $query->select(DB::raw("SUM(riel_amount) as total_in_riel")); 
            }
        ])
        ->where('id',$id);
        if($data){
            $data= $data->orderBy('id', 'desc')->limit(10)->get();
            return response()->json($data);
        }else{
            return response()->json([
                'status'    =>'fail',
                'message'   =>'Record not found.'
            ], 404);
        }
    }

}