<?php

namespace App\Api\V1\Controllers\CP;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

use Dingo\Api\Routing\Helpers;
use JWTAuth;


use App\Api\V1\Controllers\ApiController;
  
use App\Model\Setting\Position;




class PositionController extends ApiController
{
    use Helpers;
   
    function listing(){
       
        $Staff           = Position::select('*')
        ->get();
        return $Staff; 
    }


    function create(Request $req){

        $this->validate($req, [
            
            'name'              => 'required|max:50',

        ],[
            'name.required'         => 'Please input name',        ]);

        $data                       =   New Position; 
        $data->name                 = $req->input('name');
        
        $data->save(); 
        
        return response()->json([
            'status' => 'success',
            'Staff' => $data,
            'message' => 'ទិន្នន័យដែលបានបង្កើតថ្មី'
        ], 200);
        
    }

    function update(Request $req,  $id = 0 ){
        $this->validate($req, [
            
            'name'                      => 'required|max:20',   

        ],[
            'name.required'             => 'Please input name',
            'name.max'                  => 'Name not more than 20 letters'
        ]);
        $data                           = Position::find($id);
    
        if($data){

            $data->name                 = $req->input('name');
            $data->save();

            return response()->json([
                'status'            => 'success',
                'message'           => 'បានកែប្រែដោយជោគជ័យ',
                'Income'            => $data,

            ], 200);
        }else{
            return response()->json([
                'status' => 'No data record',
                'message' => 'Data not found'
            ]);
        }

    }

    function delete($id = 0){
        $menu = Position::find($id);
        if($menu){

        $menu->delete();

        return response()->json([
            'status' => 'success',
            'message' => 'Data has been deleted',
        ], 200);
        }else{
            return response()->json([
                'status' => 'No Data record',
                'message' => 'Data not found'
            ]);
        }
       
    }
    

}