<?php

namespace App\Api\V1\Controllers\CP;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

use Dingo\Api\Routing\Helpers;
use JWTAuth;


use App\Api\V1\Controllers\ApiController;
  
use App\Model\Room\Rate;




class RateController extends ApiController
{
    use Helpers;
   
    function listing(){
       
        $Staff           = Rate::select('*')
        ->get();
        return $Staff; 
    }


    function create(Request $req){

        $this->validate($req, [
            
            'riel'                  => 'required|max:10',   
            'usd'                   =>'required',
            'status'                   =>'required',
        ],[

            'riel.required'         => 'Please input in Riel ',
            'usd.required'          => 'Please input in USA ',
            'status.required'       => 'Please add status',
           
        ]);
        $data                       = New Rate;
        $data->riel                 = $req->input('riel');
        $data->usd                  = $req->input('usd');
        $data->status               = $req->input('status');
        
        $data->save(); 
        
        return response()->json([
            'status' => 'success',
            'Staff' => $data,
            'message' => 'ទិន្នន័យដែលបានបង្កើតថ្មី'
        ], 200);
        
    }

    function update(Request $req,  $id = 0 ){
        $this->validate($req, [
            'riel'                  => 'required|max:10',   
            'usd'                   =>'required',
            'status'                   =>'required',

        ],[
            
            'riel.required'         => 'Please input in Riel ',
            'usd.required'          => 'Please input in USA ',
            'status.required'       => 'Please add status',
    
        ]);
        $data                       = Rate::find($id);
    
        if($data){

            $data->riel             = $req->input('riel');
            $data->usd              = $req->input('usd');
            $data->status           = $req->input('status');
        
            $data->save();

            return response()->json([
                'status'            => 'success',
                'message'           => 'Data has been update',
                'Income'            => $data,

            ], 200);
        }else{
            return response()->json([
                'status' => 'Data not record',
                'message' => 'Invalid Expense'
            ]);
        }

    }

    function delete($id = 0){
        $menu = Rate::find($id);
        if($menu){

        $menu->delete();

        return response()->json([
            'status' => 'success',
            'message' => 'Data has been deleted',
        ], 200);
        }else{
            return response()->json([
                'status' => 'No data record',
                'message' => 'Invalid Unity'
            ]);
        }
       
    }
    

}