<?php

namespace App\Api\V1\Controllers\CP;

// ==================================> Core 
use Illuminate\Http\Request;
// 
use App\Api\V1\Controllers\ApiController;
use App\Model\Zone\Zone;
use App\Model\Group\GroupInvoice as Invoice;
class ReportController extends ApiController

{
    protected $route;
    public function __construct(){
        $this->route = "cp.printing.report";
        
    }
   
    public function report(Request $req){
       $zones = Zone::select('id','name')->get();
       $data = [];
       foreach($zones as $zone){
        $invoices = Invoice::select('id','is_paid','created_at')
        ->with([
            'details:id,invoice_id,usd_amount,riel_amount,type_id',
            'details.type:id,name',
        ])
        ->whereBetween('created_at', [$req->from." 00:00:00",$req->to." 23:59:59"])
        ->whereHas('records', function ($qury) use ($zone){
            $qury->whereHas('record',function ($qury) use ($zone){
                $qury->where('zone_id', $zone->id);
            });
        })
        ->get();

        $totalWastFee    = 0;
        $totalWaterFee   = 0;
        $totalEletricFee = 0;
        $totalPayment    = 0;
        $totalWaterEletricFee = 0;

        foreach($invoices as $invoice){
            foreach($invoice->details as $detail){
                if($detail->type_id == 3){     //=================> water
                    $totalWaterFee += $detail->riel_amount;
                }elseif($detail->type_id == 2){//=================> payment
                    $totalPayment += $detail->usd_amount;
                }elseif($detail->type_id == 4){//=================> eletric
                    $totalEletricFee += $detail->riel_amount;
                }elseif($detail->type_id == 7){//=================> wast
                    $totalWastFee += $detail->usd_amount;
                }
            }
            $totalWaterEletricFee = $totalWaterFee +  $totalEletricFee;
        }

        $data[] = [
            'zone' => $zone->name,
            'total_water_fee'   => $totalWaterFee,
            'total_eletric_fee' => $totalEletricFee,
            'total_wast_fee'    => $totalWastFee,
            'total_payment_fee' => $totalPayment,
            'total_water_eletric_fee' => $totalWaterEletricFee,
        ];
       }
       
       return view($this->route.'.application-report', ['route'=>$this->route, 'data'=>$data, 'from'=>$req->from, 'to'=>$req->to]);
    }

    
   
}
