<?php

namespace App\Api\V1\Controllers\CP;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

use Dingo\Api\Routing\Helpers;
use JWTAuth;


use App\Api\V1\Controllers\ApiController;
  
use App\Model\Setting\Unity;




class UnityController extends ApiController
{
    use Helpers;
   
    function listing(){
       
        $Staff           = Unity::select('*')
        ->get();
        return $Staff; 
    }


    function create(Request $req){

        $this->validate($req, [
            
            'name'                  => 'required|max:10',
            'sell_out_price'        => 'required|max:10',   
           
        ],[

            'name.required'                 => 'Please input name ',
            'sell_out_price.required'       => 'Please input Sell out price',
           
        ]);
        $data                       = New Unity;
        $data->name                 = $req->input('name');
        $data->sell_out_price       = $req->input('sell_out_price');
        $data->buy_in_price         = $req->input('buy_in_price');
        
        $data->save(); 
        
        return response()->json([
            'status' => 'success',
            'Staff' => $data,
            'message' => 'ទិន្នន័យដែលបានបង្កើតថ្មី'
        ], 200);
        
    }

    function update(Request $req,  $id = 0 ){
        $this->validate($req, [
            'name'                      => 'required|max:10',
            'sell_out_price'            => 'required|max:10',   

        ],[
            
            'name.required'                  => 'Please input name ',
            'sell_out_price.required'        => 'Please input Sell out price',
           
        ]);
        $data                           = Unity::find($id);
    
        if($data){

            $data->name                 = $req->input('name');
            $data->sell_out_price       = $req->input('sell_out_price');
            $data->buy_in_price         = $req->input('buy_in_price');

            $data->save();

            return response()->json([
                'status'            => 'success',
                'message'           => 'បានកែប្រែដោយជោគជ័យ',
                'Income'            => $data,

            ], 200);
        }else{
            return response()->json([
                'status' => 'No Expense record',
                'message' => 'Invalid Expense'
            ]);
        }

    }

    function delete($id = 0){
        $menu = Unity::find($id);
        if($menu){

        $menu->delete();

        return response()->json([
            'status' => 'success',
            'message' => 'Data has been deleted',
        ], 200);
        }else{
            return response()->json([
                'status' => 'No data record',
                'message' => 'Invalid Unity'
            ]);
        }
       
    }
    

}