<?php

namespace App\Api\V1\Controllers\CP;

// ==================================> Core 
use Illuminate\Http\Request;
// 
use App\Api\V1\Controllers\ApiController;
use App\Model\Group\Group;
use App\Model\Zone\Zone;
use App\Model\Group\GroupInvoice as Invoice;
use App\Model\Renter\Renter;
use App\Model\Room\Room;

class ZoneReportController extends ApiController
{
    protected $route;
    public function __construct(){
        $this->route = "cp.printing.report";
        
    }
    public function report(Request $req , $id=0){
        $zone = Zone::find($id);
        if($zone){
            $rooms =Room::select('id','zone_id','code')
            ->with([
                'rGroups:id,room_id,group_id',
                'rGroups.group:id',
                'rGroups.group.gRenters:id,group_id,renter_id,is_primary_contact',
                'rGroups.group.gRenters.renters:id,name,phone'
            ])
            ->where('zone_id',$zone->id)
            ->get();
           
            $data = [];
          
            foreach($rooms as $room){
                
                $invoices = Invoice::select('*')
                ->with([
                    'details:id,invoice_id,usd_amount,riel_amount,type_id',
                    'details.type:id,name',
                ])
                ->where('is_paid',0)
                ->whereBetween('created_at', [$req->from." 00:00:00",$req->to." 23:59:59"])
                ->whereHas('group', function ($qury) use ($room){
                    $qury->whereHas('gRooms',function ($qury) use ($room){
                        $qury->where('room_id', $room->id);
                    });
                })
                ->get();
                $totalWastFee    = 0;
                $totalWaterFee   = 0;
                $totalEletricFee = 0;
                $totalPayment    = 0;
                $totalBookingFee = 0;
                $totalWaterEletricFee = 0;

                foreach($invoices as $invoice){
                    
                    foreach($invoice->details as $detail){
                        if($detail->type_id == 3){     //=================> water
                            $totalWaterFee += $detail->riel_amount;
                        }elseif($detail->type_id == 2){//=================> payment
                            $totalPayment += $detail->usd_amount;
                        }elseif($detail->type_id == 4){//=================> eletric
                            $totalEletricFee += $detail->riel_amount;
                        }elseif($detail->type_id == 7){//=================> wast
                            $totalWastFee += $detail->usd_amount;
                        }elseif($detail->type_id == 1){//=================> wast
                            $totalBookingFee += $detail->usd_amount;
                        }
                    }
                    $totalWaterEletricFee = $totalWaterFee +  $totalEletricFee;
                }

                $data[] = [
                    'room' => $room->code,
                    'renter'=>$room,
                    // 'Paid'  => $invoice->is_paid,
                    'total_water_fee'   => $totalWaterFee,
                    'total_eletric_fee' => $totalEletricFee,
                    'total_wast_fee'    => $totalWastFee,
                    'total_payment_fee' => $totalPayment,
                    'total_water_eletric_fee' => $totalWaterEletricFee,
                    'total_booking' => $totalBookingFee,
                ];
               
               }
        }   
    
        $payload = [
            
            'from'          => $req->from,
            'to'            => $req->to,
            'zone'          => $zone->name,
            'data'          => $data,

        ];
        return $payload;
    
    }
   
}
