<?php

namespace App\Model\Expense;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Expense extends Model
{

    use SoftDeletes;
    protected $table = 'expenses';

    public function attachments() // 1:M
    {
        return $this->hasMany('App\Model\Expense\Attachment', 'expense_id');
    }
    public function type() // M;1
    {
        return $this->belongsTo('App\Model\Expense\ExpenseType', 'type_id');
    }
    public function rate() // M;1
    {
        return $this->belongsTo('App\Model\Room\Rate', 'rate_id');
    }
}