<?php

namespace App\Model\Group;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Group extends Model
{
    protected $table = 'groups';

    public function attachments() // 1:M
    {
        return $this->hasMany('App\Model\Group\Attachment','group_id');
    }

    public function renters() // M:M
    {
        return $this->belongsToMany('App\Model\Renter\Renter','group_renter');
        // ->select('id', 'name', 'phone', 'email');
    }

    public function gRenters() // 1:M
    {
        return $this->hasMany('App\Model\Group\GroupRenter','group_id');
    }

    public function rooms() // M:M
    {
        return $this->belongsToMany('App\Model\Room\Room','group_room');
    }

    public function gRooms() // 1:M
    {
        return $this->hasMany('App\Model\Group\GroupRoom', 'group_id');
    }
    public function invoices() // 1:M
    {
        return $this->hasMany('App\Model\Group\GroupInvoice', 'group_id');
    }

    public function notes() // 1:M
    {
        return $this->hasMany('App\Model\Group\GroupNote','group_id');
    }


}
