<?php

namespace App\Model\Group;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class GroupInvoice extends Model
{
    use SoftDeletes;
    protected $table = 'g_invoices';
    
    public function group() // M:1
    {
        return $this->belongsTo('App\Model\Group\Group', 'group_id');
    }
    public function details() // 1:M
    {
        return $this->hasMany('App\Model\Group\GroupInvoiceDetail', 'invoice_id');
    }
    public function rate() // M:1
    {
        return $this->belongsTo('App\Model\Setup\Rate', 'rate_id');
    }
    public function records() // M:1
    {
        return $this->hasMany('App\Model\Group\GroupInvoiceRecord', 'payment_id');
    }
    public function user() // M:1
    {
        return $this->belongsTo('App\Model\User\User', 'creator_id');
    }
    public function receive() // M:1
    {
        return $this->belongsTo('App\Model\User\User', 'updater_id');
    }
    
   
   
}
