<?php

namespace App\Model\Group;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class GroupRoom  extends Model
{
    protected $table = 'group_room';

    public function group() // M:1
    {
        return $this->belongsTo('App\Model\Group\Group','group_id')
        ->with(
            'gRenters:id,group_id,renter_id,is_primary_contact'
        );
    }

    public function renters() // M:1
    {
        return $this->belongsTo('App\Model\Renter\Renter','renter_id');
    }

     
    public function type() // M:1
    {
        return $this->belongsTo('App\Model\Group\GroupRoomType', 'type_id');
    }

    public function room() // M:1
    {
        return $this->belongsTo('App\Model\Room\Room', 'room_id');
    }
}
