<?php

namespace App\Model\Room;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Room extends Model
{
    use SoftDeletes;
    protected $table = 'rooms';

    public function rGroups() // 1:M
    {
        return $this->hasMany('App\Model\Group\GroupRoom', 'room_id');
    }

    public function avaiables() // 1:M
    {
        return $this->hasMany('App\Model\Room\RoomAvaiable','room_id');
    }

    public function type() //M:1
    {
        return $this->belongsTo('App\Model\Room\RoomType', 'type_id');
    }

    public function electrics() // 1:M
    {
        return $this->hasMany('App\Model\Room\RoomElectric', 'room_id');
    }

    public function waters() // 1:M
    {
        return $this->hasMany('App\Model\Room\RoomWater', 'room_id');
    }

    public function groups(){
        return $this->belongsToMany('App\Model\Group\Group','group_room');
    }
    public function zone(){
        return $this->belongsTo('App\Model\Zone\Zone', 'zone_id');
    }

}