<?php

namespace App\Model\Staff;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Staff extends Model
{
   
    use SoftDeletes;
    protected $table = 'staffs';
   
   	public function salaries() // 1:M
    {
        return $this->hasMany('App\Model\Staff\StaffSalary', 'staff_id');
    }
    public function position()// M:1
    {
        return $this->belongsTo('App\Model\Staff\StaffPosition','position_id');
    }
    public function notes() // 1:M
    {
        return $this->hasMany('App\Model\Staff\StaffNote','staff_id');
    }

    public function attachments() // 1:M
    {
        return $this->hasMany('App\Model\Staff\StaffAttachment','staff_id');
    }
    public function borrows() // 1:M
    {
        return $this->hasMany('App\Model\Staff\StaffBorrow','staff_id');
    }
    public function attendents() // 1:M
    {
        return $this->hasMany('App\Model\Staff\StaffAttendent', 'staff_id');
    }
	
}
