<?php

namespace App\Model\Zone;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ZoneRecord extends Model
{
   
    use SoftDeletes;
    protected $table = 'z_records';
   
    public function zones(){
        return $this->belongsTo('App\Model\Zone\Zone', 'zone_id');
    }
    public function gi_records(){
        return $this->hasMany('App\Model\Group\GroupInvoiceRecord', 'record_id');
    }
    public function payments(){
        return $this->belongsToMany('App\Model\Group\GroupInvoice', 'gi_records', 'record_id', 'payment_id');
    }

    public function user(){
        return $this->belongsTo('App\Model\User\User', 'creator_id');
    }
}
