@extends('cp.layouts.master')

@section ('headercss')
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css">
    <link rel="stylesheet" href="{{ asset ('cp/css/lib/font-awesome/font-awesome.min.css') }}">
    <link rel="stylesheet" href="{{ asset ('cp/css/lib/bootstrap-sweetalert/sweetalert.css') }}">
    <link rel="stylesheet" href="{{ asset ('cp/css/main.css') }}">
    <link href="https://fonts.googleapis.com/css?family=Hanuman" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset ('cp/css/kh_laugauges.css') }}">
    <script type="text/javascript" src="{{ asset ('cp/js/lib/jquery/jquery.min.js') }}"></script>
    @yield('appheadercss')
@endsection



@section ('bodyclass')
    class="with-side-menu control-panel control-panel-compact"
@endsection

@section ('header')

<header class="site-header">
    <div class="container-fluid">
        <a href="#" class="site-logo">
            <img class="hidden-md-down" src="{{ asset ('cp/img/logo.png') }}" alt="">
            <img class="hidden-lg-up" src="{{ asset ('cp/img/logo.png') }}" alt="">
        </a>
        <button class="hamburger hamburger--htla">
            <span>toggle menu</span>
        </button>
        <div class="site-header-content">
            <div class="site-header-content-in">
                <div class="site-header-shown">
                    
                    <div class="dropdown user-menu">

                        <button class="dropdown-toggle" id="dd-user-menu" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <img src="{{ asset (Auth::user()->avatar) }}" alt="">
                        </button>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dd-user-menu">
                            <a class="dropdown-item" href="{{ route('cp.user.profile.edit') }}"><span class="fa fa-user"></span> Profile</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item" href="{{ route('cp.auth.logout') }}"><span class="fa fa-sign-out"></span> Logout</a>
                        </div>
                    </div>

                    <button type="button" class="burger-right">
                        <i class="font-icon-menu-addl"></i>
                    </button>
                </div><!--.site-header-shown-->

                <div class="mobile-menu-right-overlay"></div>
                
            </div><!--site-header-content-in-->
        </div><!--.site-header-content-->
    </div><!--.container-fluid-->
</header><!--.site-header-->
@endsection

@section ('menu')
    @php ($menu = "")
    @if(isset($_GET['menu']))
        @php( $menu = $_GET['menu'])
    @endif
    

    <div class="mobile-menu-left-overlay"></div>
    <nav class="side-menu">
        <ul class="side-menu-list">    
           
            
            <li class="red @yield('active-main-menu-dashboard')">
                <a href="{{ route('cp.dashboard.index') }}">
                <span>
                    <i class="fa fa-desktop"></i>
                    <span class="lbl">{{__('general.dashboard')}}</span>
                </span>
                </a>
            </li>
           
            <li class="@yield('active-main-menu-income') with-sub red">
                <span>
                    <i class="font-icon fa fa-money"></i> 
                    <span class="lbl">{{__('general.income')}}</span>
                </span>
                <ul style="">
                    @if(checkPermision('cp.income.index'))<li class=""><a href="{{ route('cp.income.index') }}"><span class="lbl">{{__('general.all-income')}}</span></a></li>@endif
                    @if(checkPermision('cp.income.pending.index'))<li class=""><a href="{{ route('cp.income.pending.index') }}"><span class="lbl">{{__('general.pending')}}</span></a></li>@endif
                </ul>
            </li>
            @if(checkPermision('cp.expense.index'))
            <li class="@yield('active-main-menu-expense') with-sub red">
                <span>
                    <i class="font-icon fa fa-cc-mastercard"></i> 
                    <span class="lbl">{{__('general.expense')}}</span>
                </span>
                <ul style="">
                    @if(checkPermision('cp.expense.index'))<li class=""><a href="{{ route('cp.expense.index') }}"><span class="lbl">{{__('general.all-expenses')}}</span></a></li>@endif
                    @if(checkPermision('cp.expense.index'))<li class=""><a href="{{ route('cp.expense.pending.index') }}"><span class="lbl">{{__('general.pending')}}</span></a></li>@endif
                </ul>
            </li>
            @endif
            
            <li class="red @yield('active-main-menu-staff')">
                @if(checkPermision('cp.staff.index'))<a href="{{ route('cp.staff.index') }}">
                <span>
                    <i class="fa fa-female"></i>
                    <span class="lbl">{{__('general.staff')}}</span>
                </span>
                </a>@endif
            </li>
            <li class="@yield('active-main-menu-room') with-sub red">
                <span>
                    <i class="font-icon fa fa-bed"></i> 
                    <span class="lbl">{{__('general.room')}}</span>
                </span>
                <ul style="">
                    @if(checkPermision('cp.room.index'))<li class=""><a href="{{ route('cp.room.index') }}"><span class="lbl">{{__('general.all-rooms')}}</span></a></li>@endif
                   @if(checkPermision('cp.room.search.index')) <li class=""><a href="{{ route('cp.room.search.index') }}"><span class="lbl">{{__('general.avaiable-rooms')}}</span></a></li>@endif
                   <li class=""><a href="{{ route('cp.room.zone.index') }}"><span class="lbl">{{__('general.zone')}}</span></a></li>
                    
                </ul>
            </li>
             <li class="red @yield('active-main-menu-group')">
                @if(checkPermision('cp.group.index'))<a href="{{ route('cp.group.index') }}">
                <span>
                    <i class="fa fa-group"></i>
                    <span class="lbl">{{__('general.group')}}</span>
                </span>
                </a>@endif
            </li>
            <li class="red @yield('active-main-menu-renter')">
                @if(checkPermision('cp.renter.index'))<a href="{{ route('cp.renter.index') }}">
                <span>
                    <i class="fa fa-male"></i>
                    <span class="lbl">{{__('general.renter')}}</span>
                </span>
                </a>@endif
            </li>
            
          
           @if(checkPermision('cp.setup.setup.list'))
            <li class="@yield('active-main-menu-setup') with-sub red">
                <span>
                    <i class="font-icon fa fa-cogs"></i> 
                    <span class="lbl">{{__('general.setup')}}</span>
                </span>
                <ul style="">
                    
                    <li class=""><a href="{{ route('cp.setup.setup.list', 'i_types') }}?setup={{__('general.income-type')}}"><span class="lbl">{{__('general.income-type')}}</span></a></li>
                    <li class=""><a href="{{ route('cp.setup.setup.list', 'e_types') }}?setup={{__('general.expense-type')}}"><span class="lbl">{{__('general.expense-type')}}</span></a></li>
                    <li class=""><a href="{{ route('cp.setup.setup.list', 's_positions') }}?setup={{__('general.staff-position')}}"><span class="lbl">{{__('general.staff-position')}}</span></a></li>
                   <li class=""><a href="{{ route('cp.setup.unity.index') }}"><span class="lbl">Unity</span></a></li>
                   <!--
                    <li class=""><a href="{{ route('cp.setup.rate.index') }}"><span class="lbl">{{__('general.rate')}}</span></a></li>
                    -->
                </ul>
            </li>
            @endif

            @if(Auth::user()->position_id == 1)
            <li class=" @yield('active-main-menu-user') red with-sub">
                <span>
                    <i class="fa fa-user"></i>
                    <span class="lbl"> {{__('general.user')}}</span>
                </span>
                <ul>
                    <li class=""><a href="{{ route('cp.user.user.index') }}"><span class="lbl">{{__('general.user')}}</span></a></li>
                    <li class=""><a href="{{ route('cp.user.permision.index') }}"><span class="lbl">{{__('general.permission')}}</span></a></li>
                </ul>
            </li>
            @endif
           
        </ul>
    </nav><!--.side-menu-->

@endsection

@section ('content')
    <div class="page-content">
        
        @yield ('page-content')
        
    </div>
@endsection




@section ('bottomjs')
        <script src="//cdnjs.cloudflare.com/ajax/libs/jquery-form-validator/2.3.26/jquery.form-validator.min.js"></script>
        @yield ('imageuploadjs')
        <script type="text/javascript" src="{{ asset ('cp/js/lib/tether/tether.min.js') }}"></script>
        <script type="text/javascript" src="{{ asset ('cp/js/lib/bootstrap/bootstrap.min.js') }}"></script>
        <script type="text/javascript" src="{{ asset ('cp/js/plugins.js') }}"></script>
        <script type="text/javascript" src="{{ asset ('cp/js/lib/lobipanel/lobipanel.min.js') }}"></script>
        <script type="text/javascript" src="{{ asset ('cp/js/lib/match-height/jquery.matchHeight.min.js') }}"></script>
        <script type="text/javascript" src="{{ asset ('cp/js/lib/bootstrap-sweetalert/sweetalert.min.js') }}"></script>
        <script type="text/javascript" src="{{ asset ('cp/js/lib/blockUI/jquery.blockUI.js') }}"></script>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
        <script src="{{ asset ('cp/js/lib/bootstrap-select/bootstrap-select.min.js')}}"></script>
        <script src="{{ asset ('cp/js/lib/select2/select2.full.min.js')}}"></script>
       
        <script src="{{ asset ('cp/js/app.js') }}"></script>
        <script src="{{ asset ('cp/js/camcyber.js') }}"></script>
        @yield('appbottomjs')

        @if(Session::has('msg'))
        <script type="text/JavaScript">
            toastr.success("{!!Session::get('msg')!!}");
        </script>
        @endif
        @if(Session::has('error'))
        <script type="text/JavaScript">
            toastr.error("{!!Session::get('error')!!}");
        </script>
        @endif
@endsection