<!DOCTYPE html>
<html>
	<head>
		<title>Invoice for Printing</title>
		<link href="https://fonts.googleapis.com/css?family=Hanuman" rel="stylesheet">

		<style type="text/css">
			html, body{
				margin:0px;
				padding:0px;
				font-family: 'Hanuman', serif;
				font-size:14px;
			}
			
			.inv-cnt{
				color:black;
				width:148mm;
				height:210mm;
				background-image:url('public/img/invoice.png') ;
				background-repeat:no-repeat;
			}
			.invoice{
				padding: 30px;
				
			}
			table{
				font-size:14px;
			}
			.logo{
				/*background: blue;*/
			    width: 100%;
			    height: 142px;
			    /*background:#ff00007a;*/
			}
			.renter-and-date{
				height: 125px;
			    /* background:#0012ff7a; */
			}
			.renter-and-date .haft{
				height: 100%;
				width:50%;
			}
			.renter-and-date #renter{
				/*background:#ff000087;*/
				float: left;

				    
			}
			.renter-and-date #renter ul{
				margin-top: 50px;
			    margin-left: 0px;
			    padding: 0px 0px 0px 20px;
			    list-style: none;
			}
			.renter-and-date #date{
				/*background:#00ffc69e;*/
				float: left;
				text-align: right;
			}
			.unity {
				width:100%;
				height:111px;
				/*background:#bed4167a;*/
			}
			.unity table{
				padding-top:60px;
			}
			.detail{
				width:100%;
				height:200px;
				/*background:#00ff8b80;*/
			}
			.detail table{
				padding-top:35px;
			}
			.total{
				width:100%;
				height:60px;
				/*background:#ff00003b;*/
			}
			.final{
				height: 77px;
				margin-top: 20px;
    			/*background: #ffff007a;*/
			}
			
			
		</style>
	</head>
	<body>
		
		@foreach($data as $row)
		<div class="inv-cnt">
			<div class="invoice">
				<div class="logo"></div>
				<div class="renter-and-date">
					<div id="renter" class="haft">
						@php($dataRenter = $row->group->gRenters()->where('is_primary_contact', 1)->first())
						
						<ul>
							<li>
								អ្នកជួល : 
								@if($dataRenter)
									{{$dataRenter->renters->name}}
								@else
									N/A
								@endif
							</li>
							<li>លេខទូរសព្ទ : 
								@if($dataRenter)
									{{$dataRenter->renters->phone}}
								@else
									N/A
								@endif
							</li>
							<li>បន្ទប់ : 
								@php($rooms = $row->group->rooms)
								@php($i = 0)
								@php($roomSingle = []);
								@foreach($rooms as $room)
									@if($i == 0)
										@php( $roomSingle = $room )
										@php( $i = 1)
									@endif

									{{$room->code}}, 
								@endforeach
							</li>
						</ul>
					</div>

					<div id="date" class="haft">
						<div style="    margin-top: 15px;">
							P-{{ $row->id }}
						</div>
						<div style="margin-top: 7px;">
							@php($date = new DateTime($row->created_at))
							{{ date_format($date, 'Y-m-d') }}
						</div>
						<div style="margin-top: 45px;">
							
							@if($dataRenter)
								#{{$dataRenter->renters->id}}
							@else
								N/A
							@endif
						</div>
					</div>
				</div>
				<div class="unity" style="">
					
					<table style="text-align: center; width: 100%;">
						<tbody>
							@php($unity = json_decode($row->unity_description))
							@if(isset($unity->water))
							<tr>
								@php($water = $unity->water)
								<td style="width:20%" >{{ $water->name }}</td>
								<td style="width:15%">{{ $water->new_date }}</td>
								<td style="width:15%">{{ $water->new_number }}</td>
								<td style="width:15%">{{ $water->old_date }}</td>
								<td style="width:15%">{{ $water->old_number }}</td>
								<td style="width:20%">{{ $water->qty }}</td>
							</tr>
							@endif
							@if(isset($unity->electric))
							<tr>
								@php($electric = $unity->electric)
								<td style="width:20%" >{{ $electric->name }}</td>
								<td style="width:15%">{{ $electric->new_date }}</td>
								<td style="width:15%">{{ $electric->new_number }}</td>
								<td style="width:15%">{{ $electric->old_date }}</td>
								<td style="width:15%">{{ $electric->old_number }}</td>
								<td style="width:20%">{{ $electric->qty }}</td>
							</tr>
							@endif
							
						</tbody>
					</table>
				</div>
				<div class="detail" style="">
					<table style="text-align: center; width: 100%;">
						<tbody>
							@php($details = $row->details)
							@php($totalAmountUSD = 0)
							@php($totalAmountRiel = 0)
							@foreach($details as $detail)
								@php($totalAmountUSD += $detail->usd_amount )
								@php($totalAmountRiel += $detail->riel_amount )
								<tr>
									<td style="width:35%" >{{ $detail->print_description }}</td>
									<td style="width:15%">{{ $detail->qty }}</td>

									@if($detail->usd_unit_price != 0)
									<td style="width:15%">{{ $detail->usd_unit_price }}$ </td>
									@endif
									@if($detail->riel_unit_price != 0)
									<td style="width:15%">{{ $detail->riel_unit_price }}R</td>
									@endif

									<td style="width:15%">{{ $detail->usd_amount }}</td>
									<td style="width:20%">{{ $detail->riel_amount }}</td>
								</tr>
							@endforeach
							@if($row->debt_usd != 0 ||$row->debt_riel !=0 )
								<tr>
									<td style="width:35%" >ទឹកប្រាក់បានបង់</td>
									<td style="width:15%"></td>
									<td style="width:15%"></td>
						
									<td style="width:15%">{{ $row->total_usd_amunt }}</td>
									<td style="width:20%">{{ $row->total_riel_amunt }}</td>
									
								</tr>
								<tr>
									<td style="width:35%" >{{ $row->note }}</td>
									<td style="width:15%"></td>
									<td style="width:15%"> </td>
						
									<td style="width:15%">{{ $row->debt_usd }}</td>
									<td style="width:20%">{{ $row->debt_riel }}</td>
									
								</tr>
								@endif
						</tbody>
					</table>
				</div>
				<div class="total" style="">
					<div style="height:100%;width:35%;float:right">
						<table  style="width:100%;text-align: center;margin-top: 30px;">
							<tbody>
								<td style="width:50%">{{$row->total_usd_amunt}}$</td>
								<td style="width:50%">{{$row->total_riel_amunt}}R</td>
								<!-- <td style="width:50%">{{$totalAmountUSD}}$</td>
								<td style="width:50%">{{$totalAmountRiel}}R</td> -->
							</tbody>
						</table>
					</div>
				</div>
				<div class="final" style="">
					<div style="width:34%;height: 100%; float:left;text-align: right">
						<div style="margin-top: 10px;">
							{{$roomSingle->s1}} m<sup>2</sup>
						</div>
						<div style="margin-top: 2px;">
							{{$roomSingle->s2}} m<sup>2</sup>
						</div>
						<div style="margin-top: 2px;">
							{{$roomSingle->s}} m<sup>2</sup>
						</div>
					</div>
					<div style="width:66%;height: 100%; float:right;">
						<table style="text-align: center; width: 100%;padding-top:35px">
							<tbody>
								<tr>
									<td style="width:33%" >{{$row->user->name}}</td>
									<td style="width:33%">
										@if($dataRenter)
											{{$dataRenter->renters->name}}
										@else
											N/A
										@endif
									</td>
									<td style="width:33%">{{$row->receive->name}}</td>
								</tr>
								
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
		@endforeach

		<script type="text/javascript">
		      window.onload=function(){self.print();}
		 </script>
	</body>
</html>