<?php

	$api->group(['namespace' => 'App\Api\V1\Controllers\CP'], function($api) {
		
		$api->get('/dashboard', 			    		['uses' => 'DashboardController@index']);
		$api->get('/dashboard/available', 				['uses' => 'DashboardController@freeRoom']);
		$api->get('/dashboard/pendding', 				['uses' => 'DashboardController@pendding']);
		$api->get('/dashboard/action', 					['uses' => 'DashboardController@action']);

		// ======================================================================================>>>income

		$api->get('/income', 			    		['uses' => 'IncomeController@listing']);
		$api->get('/income/record', 			    ['uses' => 'IncomeController@record']);
		$api->get('/income/{id}', 			    	['uses' => 'IncomeController@view']);
		$api->post('/income', 			    		['uses' => 'IncomeController@create']);
		$api->put('/income/unpaid/{id}', 			['uses' => 'IncomeController@unpaid']);
		$api->put('/income/{id}', 					['uses' => 'IncomeController@update']);
		$api->delete('/income/{id}',				['uses' => 'IncomeController@delete']);

		// ======================================================================================>>>income type

		$api->get('/income_type', 			    		['uses' => 'IncomeTypeController@listing']);
		$api->put('/income_type/{id}', 					['uses' => 'IncomeTypeController@update']);
		$api->post('/income_type', 			    		['uses' => 'IncomeTypeController@create']);
		$api->delete('/income_type/{id}',				['uses' => 'IncomeTypeController@delete']);

		// ======================================================================================>>>income unpaid

		$api->get('/unpaid', 			    		['uses' => 'IncomeUnpaidController@listing']);
		$api->get('/unpaid/record', 			   	['uses' => 'IncomeUnpaidController@record']);
		$api->get('/unpaid/{id}', 			    	['uses' => 'IncomeUnpaidController@view']);
		$api->post('/unpaid', 			    		['uses' => 'IncomeUnpaidController@create']);
		$api->put('/unpaid/{id}', 					['uses' => 'IncomeUnpaidController@update']);
		$api->put('/unpaid/payment/{id}', 			['uses' => 'IncomeUnpaidController@payment']);
		$api->delete('/unpaid/{id}',				['uses' => 'IncomeUnpaidController@delete']);

		// ======================================================================================>>>Expense

		$api->get('/expense', 			    		['uses' => 'ExpenseController@listing']);
		$api->get('/expense/record', 			    ['uses' => 'ExpenseController@record']);
		$api->get('/expense/{id}', 			    	['uses' => 'ExpenseController@view']);
		$api->post('/expense', 			    		['uses' => 'ExpenseController@create']);
		$api->put('/expense/{id}', 					['uses' => 'ExpenseController@update']);
		$api->delete('/expense/{id}',				['uses' => 'ExpenseController@delete']);

		// ======================================================================================>>>Expense pending

		$api->get('/pending', 			    		['uses' => 'ExpensePendingController@listing']);
		$api->get('/pending/record',				['uses' => 'ExpensePendingController@record']);
		$api->get('/pending/type',					['uses' => 'ExpensePendingController@listtype']);
		$api->get('/pending/{id}', 			    	['uses' => 'ExpensePendingController@view']);
		$api->post('/pending', 			    		['uses' => 'ExpensePendingController@create']);
		$api->put('/pending/{id}', 					['uses' => 'ExpensePendingController@update']);
		$api->put('/pending/payment/{id}', 			['uses' => 'ExpensePendingController@payment']);
		$api->delete('/pending/{id}',				['uses' => 'ExpensePendingController@delete']);

		// ======================================================================================>>>Expense type

		$api->get('/expense_type', 			    		['uses' => 'ExpenseTypeController@listing']);
		$api->put('/expense_type/{id}', 				['uses' => 'ExpenseTypeController@update']);
		$api->post('/expense_type', 			    	['uses' => 'ExpenseTypeController@create']);
		$api->delete('/expense_type/{id}',				['uses' => 'ExpenseTypeController@delete']);

		// ======================================================================================>>>Staff

		$api->get('/staff', 			    		['uses' => 'StaffController@listing']);
		$api->get('/staff/{id}', 			    	['uses' => 'StaffController@view']);
		$api->post('/staff', 			    		['uses' => 'StaffController@create']);
		$api->put('/staff/{id}', 					['uses' => 'StaffController@update']);
		$api->delete('/staff/{id}',					['uses' => 'StaffController@delete']);

		// ======================================================================================>>> position

		$api->get('/position', 			    			['uses' => 'PositionController@listing']);
		$api->put('/position/{id}', 					['uses' => 'PositionController@update']);
		$api->post('/position', 			    		['uses' => 'PositionController@create']);
		$api->delete('/position/{id}',					['uses' => 'PositionController@delete']);

		// ======================================================================================>>> Group renter

		$api->get('/grenter', 			    		['uses' => 'GroupRenterController@listing']);
		$api->get('/grenter/{id}/renter',			['uses' => 'GroupRenterController@renter']);
		$api->get('/grenter/{id}/room',				['uses' => 'GroupRenterController@room']);
		$api->get('/grenter/{id}/payment',			['uses' => 'GroupRenterController@payment']);
		$api->get('/grenter/{id}/file',				['uses' => 'GroupRenterController@file']);
		$api->get('/grenter/{id}', 			    	['uses' => 'GroupRenterController@view']);
		$api->post('/grenter', 			    		['uses' => 'GroupRenterController@create']);
		$api->put('/grenter/{id}/add-renter', 		['uses' => 'GroupRenterController@createRenter']);
		$api->put('/grenter/{id}/renter', 			['uses' => 'GroupRenterController@updateRenter']);
		$api->put('/grenter/{id}/checkout', 		['uses' => 'GroupRenterController@checkout']);
		$api->put('/grenter/{id}', 					['uses' => 'GroupRenterController@update']);
		$api->delete('/grenter/{id}',				['uses' => 'GroupRenterController@delete']);
		$api->delete('/grenter/{id}/renter',		['uses' => 'GroupRenterController@deleteRenter']);

		// ======================================================================================>>> Renter

		$api->get('/renter', 			    		['uses' => 'RenterController@listing']);
		$api->get('/renter/{id}/group',				['uses' => 'RenterController@getgroup']);
		$api->get('/renter/{id}', 			    	['uses' => 'RenterController@view']);
		$api->post('/renter', 			    		['uses' => 'RenterController@create']);
		$api->put('/renter/{id}', 					['uses' => 'RenterController@update']);
		$api->delete('/renter/{id}',				['uses' => 'RenterController@delete']);

		// ======================================================================================>>> Renter

		$api->get('/unity', 			    		['uses' => 'UnityController@listing']);
		$api->post('/unity', 			    		['uses' => 'UnityController@create']);
		$api->put('/unity/{id}', 					['uses' => 'UnityController@update']);
		$api->delete('/unity/{id}',					['uses' => 'UnityController@delete']);

		// ======================================================================================>>> Rate

		$api->get('/rate', 			    			['uses' => 'RateController@listing']);
		$api->post('/rate', 			    		['uses' => 'RateController@create']);
		$api->put('/rate/{id}', 					['uses' => 'RateController@update']);
		$api->delete('/rate/{id}',					['uses' => 'RateController@delete']);

		// ======================================================================================>>> User

		$api->get('/user', 			    			['uses' => 'UserController@listing']);
		$api->get('/user/{id}', 			    	['uses' => 'UserController@view']);
		$api->post('/user', 			    		['uses' => 'UserController@create']);
		$api->put('/user/{id}', 					['uses' => 'UserController@update']);
		$api->delete('/user/{id}',					['uses' => 'UserController@delete']);

		// ======================================================================================>>> Permission

		$api->get('/permision', 			    		['uses' => 'PermisionController@listing']);
		$api->get('/permision/type',					['uses' => 'PermisionController@type']);
		$api->get('/permision/{id}', 			    	['uses' => 'PermisionController@view']);
		$api->get('/permision/type/{id}',				['uses' => 'PermisionController@viewtype']);

		// ======================================================================================>>> My Profile 

		$api->get('/my-profile', 						['uses' =>'MyProfileController@get']);
		$api->put('/my-profile', 						['uses' =>'MyProfileController@put']); 
		$api->put('/my-profile/change-password', 		['uses' =>'MyProfileController@changePassword']); //Update

		// ======================================================================================>>> Room

		$api->get('/room/free', 			    	['uses' => 'RoomController@getfree']);
		$api->get('/room/type',						['uses' => 'RoomController@listtype']);
		$api->get('/room/{id}/group-renters', 		['uses' => 'RoomController@grouprenter']);
		$api->get('/room/{id}/electric', 			['uses' => 'RoomController@electric']);
		$api->post('/room/{id}/add-electric', 		['uses' => 'RoomController@AddElectric']);
		$api->get('/room/{id}/water', 				['uses' => 'RoomController@water']);
		$api->post('/room/{id}/add-water', 			['uses' => 'RoomController@AddWater']);
		$api->post('/room/{id}/booking', 			['uses' => 'RoomController@book']);
		$api->post('/room/{id}/booked-cancel', 		['uses' => 'RoomController@bookedCancel']);

		$api->get('/room', 			    			['uses' => 'RoomController@listing']);
		$api->get('/room/{id}', 			    	['uses' => 'RoomController@view']);
		$api->post('/room', 			    		['uses' => 'RoomController@create']);
		$api->put('/room/{id}/checkout', 			['uses' => 'RoomController@checkout']);
		$api->put('/room/{id}', 					['uses' => 'RoomController@update']);
		$api->delete('/room/{id}',					['uses' => 'RoomController@delete']);

		// ======================================================================================>>> zone

		$api->get('/zone', 			    			['uses' => 'ZoneController@listing']);
		$api->get('/zone/{id}', 			    	['uses' => 'ZoneController@view']);
		$api->get('/zone/{id}/record', 				['uses' => 'ZoneController@record']);
		$api->post('/zone', 			    		['uses' => 'ZoneController@create']);
		$api->post('/zone/record/{id}', 			['uses' => 'ZoneController@generate']);
		$api->put('/zone/{id}', 					['uses' => 'ZoneController@update']);
		$api->delete('/zone/{id}',					['uses' => 'ZoneController@delete']);

		
		$api->get('/printing/report', 			    ['uses' => 'ReportController@report']);
		$api->get('/printing/zone-report/{id}', 	['uses' => 'ZoneReportController@report']);

		// ======================================================================================>>> invoice

		$api->get('/invoice', 			    		['uses' => 'InvoiceController@listing']);
		$api->get('/invoice/{id}', 			    	['uses' => 'InvoiceController@view']);
		$api->post('/invoice', 			    		['uses' => 'InvoiceController@create']);
		$api->put('/invoice/{id}', 					['uses' => 'InvoiceController@update']);
		$api->delete('/invoice/{id}',				['uses' => 'InvoiceController@delete']);

	});