<?php

Route::get('/', 				['as' => 'index', 			'uses' => 'ExpenseController@index']);
Route::get('/create', 			['as' => 'create', 			'uses' => 'ExpenseController@create']);
Route::get('/{id}', 			['as' => 'edit', 			'uses' => 'ExpenseController@edit']);
Route::post('/', 				['as' => 'update', 			'uses' => 'ExpenseController@update']);

Route::put('/', 				['as' => 'store', 			'uses' => 'ExpenseController@store']);
Route::delete('/{id}', 			['as' => 'trash', 			'uses' => 'ExpenseController@trash']);
Route::post('/status', 			['as' => 'status', 			'uses' => 'ExpenseController@status']);




Route::group(['as' => 'attachment.', 'namespace'=>'Attachment'], function () {
		Route::get('/{id}/attachment', 				['as' => 'index', 			'uses' => 'AttachmentController@index']);
		Route::get('/{id}/attachment/create', 		['as' => 'create', 			'uses' => 'AttachmentController@create']);
		Route::put('/attachment', 					['as' => 'store', 			'uses' => 'AttachmentController@store']);
		Route::get('/{id}/attachment/{image_id}', 	['as' => 'edit', 			'uses' => 'AttachmentController@edit']);
		Route::post('/attachment', 					['as' => 'update', 			'uses' => 'AttachmentController@update']);
		Route::delete('/attachment', 				['as' => 'trash', 			'uses' => 'AttachmentController@trash']);
});

Route::group(['as' => 'pending.', 'namespace'=>'Pending'], function () {
		Route::get('pending', 				['as' => 'index', 			'uses' => 'PendingController@index']);
		Route::delete('/pending', 			['as' => 'trash', 			'uses' => 'PendingController@trash']);
		Route::get('pending/view', 			['as' => 'view', 			'uses' => 'PendingController@view']);
		Route::post('pending/update', 		['as' => 'update', 			'uses' => 'PendingController@update']);
		Route::delete('pending/delete', 	['as' => 'trash', 			'uses' => 'PendingController@trash']);
});
Route::group(['as' => 'salary.', 'namespace'=>'Salary'], function () {
		Route::get('salary', 				['as' => 'index', 			'uses' => 'SalaryController@index']);
		Route::get('generate', 				['as' => 'generate', 		'uses' => 'SalaryController@generate']);
		
});