<?php

		Route::get('/', 					['as' => 'index', 			'uses' => 'GroupController@index']);
		Route::get('/create', 				['as' => 'create', 			'uses' => 'GroupController@create']);
		Route::put('/', 					['as' => 'store', 			'uses' => 'GroupController@store']);
		Route::get('/{id}', 				['as' => 'edit', 			'uses' => 'GroupController@edit']);
		Route::post('/', 					['as' => 'update', 			'uses' => 'GroupController@update']);
		Route::delete('/{id}', 					['as' => 'trash', 			'uses' => 'GroupController@trash']);
		
		

		Route::group(['as' => 'renter.', 'namespace'=>'Renter'], function () {
			Route::get('/{id}/renter', 							['as' => 'index', 					'uses' => 'RenterController@index']);
			Route::post('/renter/make-primary-contact', 		['as' => 'make-primary-contact', 	'uses' => 'RenterController@makePrimaryContact']);
			Route::delete('/renter/trash', 						['as' => 'trash', 					'uses' => 'RenterController@trash']);
			Route::get('/renter/add-renter', 					['as' => 'add-renter', 					'uses' => 'RenterController@addRenter']);
			Route::get('/renter/checkout', 						['as' => 'checkout', 					'uses' => 'RenterController@checkOut']);
			
		});

		Route::group(['as' => 'room.', 'namespace'=>'Room'], function () {
			Route::get('/{id}/rooms', 						['as' => 'index', 			'uses' => 'RoomController@index']);

			Route::get('/{id}/group', 					['as' => 'index', 			'uses' => 'RoomController@index']);
			Route::get('group/renters', 				['as' => 'renters', 		'uses' => 'RoomController@renters']);
			Route::get('group/check-out-form', 			['as' => 'check-out-form', 		'uses' => 'RoomController@checkOutForm']);
			Route::get('group/check-out', 				['as' => 'check-out', 		'uses' => 'RoomController@checkOut']);
			Route::get('group/cancel-booking', 			['as' => 'cancel-booking', 		'uses' => 'RoomController@cancelBooking']);
			Route::get('group/activate', 				['as' => 'activate', 		'uses' => 'RoomController@activate']);
			Route::get('group/view-note', 				['as' => 'view-note', 		'uses' => 'RoomController@viewNote']);
			Route::post('/update-unity-status', ['as' => 'update-unity-status', 'uses' => 'RoomController@updateUnityStatus']);
			
			Route::get('group/view-unity', 				['as' => 'view-unity', 		'uses' => 'RoomController@viewUnity']);
			Route::get('group/update-unity', 			['as' => 'update-unity', 		'uses' => 'RoomController@updateUnity']);
		});

	
		Route::group(['as' => 'payment.', 'namespace'=>'Payment'], function () {
			Route::get('/{id}/payments', 						['as' => 'index', 			'uses' => 'PaymentController@index']);
			Route::get('/{id}/payments/create', 				['as' => 'create', 			'uses' => 'PaymentController@create']);
			Route::post('/payments/create', 					['as' => 'store', 			'uses' => 'PaymentController@store']);
			Route::get('/{id}/payment/{payment_id}', 			['as' => 'edit', 			'uses' => 'PaymentController@edit']);
			Route::post('/{id}/payments', 					['as' => 'update', 			'uses' => 'PaymentController@update']);
			Route::delete('/{id}/payments', 					['as' => 'trash', 			'uses' => 'PaymentController@trash']);
			Route::post('/{id}/payments/{payment_id}/paid', 	['as' => 'paid', 			'uses' => 'PaymentController@paid']);
			Route::put('/payment-detail', 						['as' => 'store-detail', 	'uses' => 'PaymentController@storeDetail']);
			Route::delete('{detail_id}/trash-detail', 				['as' => 'trash-detail', 	'uses' => 'PaymentController@trashDetail']);

			Route::get('/get-detail', 						['as' => 'get-detail', 			'uses' => 'PaymentController@getDetail']);
			Route::post('/payment-detail', 					['as' => 'update-detail', 			'uses' => 'PaymentController@updateDetail']);
			Route::delete('{detail_id}/trash-detail', 				['as' => 'trash-detail', 	'uses' => 'PaymentController@trashDetail']);

		});

		Route::group(['as' => 'note.', 'namespace'=>'Note'], function () {
			Route::get('/{id}/note', 				['as' => 'index', 			'uses' => 'NoteController@index']);
			Route::put('/note', 					['as' => 'store', 			'uses' => 'NoteController@store']);
			Route::get('/get-note', 				['as' => 'get', 			'uses' => 'NoteController@get']);
			Route::post('/note', 					['as' => 'update', 			'uses' => 'NoteController@update']);
			Route::delete('{id}/note', 					['as' => 'trash', 			'uses' => 'NoteController@trash']);
		});

Route::group(['as' => 'attachment.', 'namespace'=>'Attachment'], function () {
		Route::get('/{id}/attachment', 				['as' => 'index', 			'uses' => 'AttachmentController@index']);
		Route::get('/{id}/attachment/create', 		['as' => 'create', 			'uses' => 'AttachmentController@create']);
		Route::put('/attachment', 					['as' => 'store', 			'uses' => 'AttachmentController@store']);
		Route::get('/{id}/attachment/{attachment_id}', 	['as' => 'edit', 			'uses' => 'AttachmentController@edit']);
		Route::post('/attachment', 					['as' => 'update', 			'uses' => 'AttachmentController@update']);
		Route::delete('/attachment', 				['as' => 'trash', 			'uses' => 'AttachmentController@trash']);
});


