<?php

Route::get('/', 				['as' => 'index', 			'uses' => 'RenterController@index']);
Route::get('/create', 			['as' => 'create', 			'uses' => 'RenterController@create']);
Route::get('/{id}', 			['as' => 'edit', 			'uses' => 'RenterController@edit']);
Route::post('/', 				['as' => 'update', 			'uses' => 'RenterController@update']);

Route::put('/', 				['as' => 'store', 			'uses' => 'RenterController@store']);
Route::delete('/{id}', 			['as' => 'trash', 			'uses' => 'RenterController@trash']);
Route::post('/status', 			['as' => 'status', 			'uses' => 'RenterController@status']);

Route::group(['as' => 'note.', 'namespace'=>'Note'], function () {
	Route::get('/{id}/note', 				['as' => 'index', 			'uses' => 'NoteController@index']);
	Route::put('/note', 					['as' => 'store', 			'uses' => 'NoteController@store']);
	Route::get('/get-note', 				['as' => 'get', 			'uses' => 'NoteController@get']);
	Route::post('/note', 					['as' => 'update', 			'uses' => 'NoteController@update']);
	Route::delete('{id}/note', 					['as' => 'trash', 			'uses' => 'NoteController@trash']);
});

Route::group(['as' => 'attachment.', 'namespace'=>'Attachment'], function () {
		Route::get('/{id}/attachment', 				['as' => 'index', 			'uses' => 'AttachmentController@index']);
		Route::get('/{id}/attachment/create', 		['as' => 'create', 			'uses' => 'AttachmentController@create']);
		Route::put('/attachment', 					['as' => 'store', 			'uses' => 'AttachmentController@store']);
		Route::get('/{id}/attachment/{image_id}', 	['as' => 'edit', 			'uses' => 'AttachmentController@edit']);
		Route::post('/attachment', 					['as' => 'update', 			'uses' => 'AttachmentController@update']);
		Route::delete('/attachment', 				['as' => 'trash', 			'uses' => 'AttachmentController@trash']);
});

Route::group(['as' => 'group.', 'namespace'=>'Group'], function () {
			Route::get('/{id}/group', 			['as' => 'index', 					'uses' => 'GroupController@index']);
			Route::post('/group/make-primary-contact', 		['as' => 'make-primary-contact', 	'uses' => 'GroupController@makePrimaryContact']);
			Route::get('group/renters', 				['as' => 'renters', 		'uses' => 'GroupController@renters']);
			Route::delete('/group/trash', 						['as' => 'trash', 					'uses' => 'GroupController@trash']);
			
			Route::get('/group/checkout', 						['as' => 'checkout', 					'uses' => 'GroupController@checkOut']);
			
});