<?php

Route::get('/', 				['as' => 'index', 			'uses' => 'RoomController@index']);
Route::get('/create', 			['as' => 'create', 			'uses' => 'RoomController@create']);
Route::get('/{id}', 			['as' => 'edit', 			'uses' => 'RoomController@edit']);
Route::post('/', 				['as' => 'update', 			'uses' => 'RoomController@update']);

Route::put('/', 				['as' => 'store', 			'uses' => 'RoomController@store']);
Route::delete('/{id}', 			['as' => 'trash', 			'uses' => 'RoomController@trash']);
Route::post('/status-room', 	['as' => 'status', 			'uses' => 'RoomController@status']);



Route::group(['as' => 'group.', 'namespace'=>'Group'], function () {
		Route::get('/{id}/group', 					['as' => 'index', 			'uses' => 'GroupController@index']);
		Route::get('group/renters', 				['as' => 'renters', 		'uses' => 'GroupController@renters']);
		Route::get('group/check-out-form', 			['as' => 'check-out-form', 		'uses' => 'GroupController@checkOutForm']);
		Route::get('group/check-out', 				['as' => 'check-out', 		'uses' => 'GroupController@checkOut']);
		Route::get('group/cancel-booking', 			['as' => 'cancel-booking', 		'uses' => 'GroupController@cancelBooking']);
		Route::get('group/activate', 				['as' => 'activate', 		'uses' => 'GroupController@activate']);
		Route::get('group/view-note', 				['as' => 'view-note', 		'uses' => 'GroupController@viewNote']);
		Route::get('group/view-unity', 				['as' => 'view-unity', 		'uses' => 'GroupController@viewUnity']);
		Route::get('group/update-unity', 			['as' => 'update-unity', 		'uses' => 'GroupController@updateUnity']);
});

Route::group(['as' => 'water.', 'namespace'=>'Water'], function () {
		Route::get('/{id}/water', 				['as' => 'index', 			'uses' => 'WaterController@index']);
		Route::delete('/water/delete', 				['as' => 'trash', 			'uses' => 'WaterController@trash']);
		Route::post('/water/add-new-record', 			['as' => 'add-new-record', 	'uses' => 'WaterController@addNewRecord']);
		Route::post('/water/reset-record', 			['as' => 'reset-record', 	'uses' => 'WaterController@resetRecord']);
		
});

Route::group(['as' => 'electric.', 'namespace'=>'Electric'], function () {
		Route::get('/{id}/electric', 				['as' => 'index', 			'uses' => 'ElectricController@index']);
		Route::delete('/electric/delete', 				['as' => 'trash', 			'uses' => 'ElectricController@trash']);
		Route::post('/electric/add-new-record', 			['as' => 'add-new-record', 	'uses' => 'ElectricController@addNewRecord']);
		Route::post('/electric/reset-record', 			['as' => 'reset-record', 	'uses' => 'ElectricController@resetRecord']);
});


Route::group(['as' => 'avaiable.', 'namespace'=>'Avaiable'], function () {
		Route::get('/{id}/avaiable', 				['as' => 'index', 			'uses' => 'AvaiableController@index']);
		Route::delete('/avaiable/delete', 			['as' => 'trash', 			'uses' => 'AvaiableController@trash']);
		Route::post('/avaiable/add-new-avaiable', 	['as' => 'add-new-avaiable', 	'uses' => 'AvaiableController@addNewAvaiable']);
		
});

Route::group(['as' => 'search.', 'namespace'=>'Search'], function () {
		Route::get('search', 				['as' => 'index', 			'uses' => 'SearchController@index']);
		Route::get('/search/book-form', 	['as' => 'book-form', 	'uses' => 'SearchController@bookForm']);
		Route::post('/search/book', 		['as' => 'book', 	'uses' => 'SearchController@book']);
		Route::post('/search/check-if-number-existed', ['as' => 'check-if-number-existed', 	'uses' => 'SearchController@checkIfNumberExisted']);
});

Route::group(['as' => 'zone.', 'namespace'=>'Zone'], function () {
		Route::get('zone', 				['as' => 'index', 			'uses' => 'ZoneController@index']);
		Route::get('/{id}/zone', 			['as' => 'edit', 			'uses' => 'ZoneController@edit']);
		Route::get('/{id}/room', 			['as' => 'room', 			'uses' => 'ZoneController@rooms']);
		Route::get('/{id}/record', 			['as' => 'record', 			'uses' => 'ZoneController@records']);
		Route::get('/record/create', 					['as' => 'generate', 			'uses' => 'ZoneController@generate']);
});