<?php

Route::get('/', 				['as' => 'index', 			'uses' => 'StaffController@index']);
Route::get('/create', 			['as' => 'create', 			'uses' => 'StaffController@create']);
Route::get('/{id}', 			['as' => 'edit', 			'uses' => 'StaffController@edit']);
Route::post('/', 				['as' => 'update', 			'uses' => 'StaffController@update']);

Route::put('/', 				['as' => 'store', 			'uses' => 'StaffController@store']);
Route::delete('/{id}', 			['as' => 'trash', 			'uses' => 'StaffController@trash']);





Route::group(['as' => 'salary.', 'namespace'=>'Salary'], function () {
		Route::get('/{id}/salary', 						['as' => 'index', 			'uses' => 'SalaryController@index']);
		Route::get('/{id}/salary/create', 				['as' => 'create', 			'uses' => 'SalaryController@create']);
		Route::post('/salary-create', 					['as' => 'store', 			'uses' => 'SalaryController@store']);
		Route::get('/{id}/salary/{salary_id}', 			['as' => 'edit', 			'uses' => 'SalaryController@edit']);
		Route::post('/salary-update', 							['as' => 'update-salary', 			'uses' => 'SalaryController@updateSalary']);
		Route::delete('/salary', 						['as' => 'trash', 			'uses' => 'SalaryController@trash']);
		Route::post('/paid', 							['as' => 'paid', 			'uses' => 'SalaryController@paid']);
		Route::put('/salary-detail', 					['as' => 'store-detail', 			'uses' => 'SalaryController@storeDetail']);
		Route::delete('{id}/salary-detail', 			['as' => 'trash-detail', 			'uses' => 'SalaryController@trashDetail']);

		Route::get('/get-detail', 						['as' => 'get-detail', 			'uses' => 'SalaryController@getDetail']);
		Route::post('/salary-detail', 					['as' => 'update-detail', 			'uses' => 'SalaryController@updateDetail']);
});

Route::group(['as' => 'note.', 'namespace'=>'Note'], function () {
	Route::get('/{id}/note', 				['as' => 'index', 			'uses' => 'NoteController@index']);
	Route::put('/note', 					['as' => 'store', 			'uses' => 'NoteController@store']);
	Route::get('/get-note', 				['as' => 'get', 			'uses' => 'NoteController@get']);
	Route::post('/note', 					['as' => 'update', 			'uses' => 'NoteController@update']);
	Route::delete('{id}/note', 					['as' => 'trash', 			'uses' => 'NoteController@trash']);
});

Route::group(['as' => 'attachment.', 'namespace'=>'Attachment'], function () {
		Route::get('/{id}/attachment', 				['as' => 'index', 			'uses' => 'AttachmentController@index']);
		Route::get('/{id}/attachment/create', 		['as' => 'create', 			'uses' => 'AttachmentController@create']);
		Route::put('/attachment', 					['as' => 'store', 			'uses' => 'AttachmentController@store']);
		Route::get('/{id}/attachment/{image_id}', 	['as' => 'edit', 			'uses' => 'AttachmentController@edit']);
		Route::post('/attachment', 					['as' => 'update', 			'uses' => 'AttachmentController@update']);
		Route::delete('/attachment', 				['as' => 'trash', 			'uses' => 'AttachmentController@trash']);
});

Route::group(['as' => 'borrow.', 'namespace'=>'Borrow'], function () {
	Route::get('/{id}/borrow', 				['as' => 'index', 			'uses' => 'BorrowController@index']);
	Route::put('/borrow', 					['as' => 'store', 			'uses' => 'BorrowController@store']);
	Route::get('/get-borrow', 				['as' => 'get', 			'uses' => 'BorrowController@get']);
	Route::post('/borrow', 					['as' => 'update', 			'uses' => 'BorrowController@update']);
	Route::delete('{id}/borrow', 			['as' => 'trash', 			'uses' => 'BorrowController@trash']);
	Route::post('/status-borrow', 					['as' => 'status', 			'uses' => 'BorrowController@status']);
});

Route::group(['as' => 'attendent.', 'namespace'=>'Attendent'], function () {
	Route::get('/{id}/attendent', 				['as' => 'index', 			'uses' => 'AttendentController@index']);
	Route::put('/attendent', 					['as' => 'store', 			'uses' => 'AttendentController@store']);
	Route::get('/get-attendent', 				['as' => 'get', 			'uses' => 'AttendentController@get']);
	Route::post('/attendent', 					['as' => 'update', 			'uses' => 'AttendentController@update']);
	Route::delete('{id}/attendent', 			['as' => 'trash', 			'uses' => 'AttendentController@trash']);
	Route::post('/status', 						['as' => 'status', 			'uses' => 'AttendentController@status']);
});